# Uses of Interface
org.springframework.http.client.reactive.ClientHttpRequest

Packages that use ClientHttpRequest
Package
Description
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.

## Uses of ClientHttpRequest in org.springframework.http.client.reactive

Classes in org.springframework.http.client.reactive that implement ClientHttpRequest
Modifier and Type
Class
Description
`class`
`AbstractClientHttpRequest`
Base class for `ClientHttpRequest` implementations.
`class`
`ClientHttpRequestDecorator`
Wraps another `ClientHttpRequest` and delegates all methods to it.
Methods in org.springframework.http.client.reactive that return ClientHttpRequest
Modifier and Type
Method
Description
`ClientHttpRequest`
ClientHttpRequestDecorator.`getDelegate()`
Method parameters in org.springframework.http.client.reactive with type arguments of type ClientHttpRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ClientHttpResponse>`
ClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
Connect to the origin server using the given `HttpMethod` and `URI` and apply the given `requestCallback` when the HTTP request of the underlying API can be initialized and written to.
`reactor.core.publisher.Mono<ClientHttpResponse>`
HttpComponentsClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
JdkClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
JettyClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
ReactorClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
ReactorNetty2ClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructors in org.springframework.http.client.reactive with parameters of type ClientHttpRequest
Modifier
Constructor
Description
``
`ClientHttpRequestDecorator(ClientHttpRequest delegate)`